OpenTTD Source: CommandFunctionTraitHelper< Tret< CommandCost, Tretargs... >(*)(DoCommandFlag, Targs...)> Struct Template Reference

OpenTTD Source 15.0-beta1

Public Types
CommandFunctionTraitHelper< Tret< CommandCost, Tretargs... >(*)(DoCommandFlag, Targs...)> Struct Template Reference

## Public Types
using | Args = std::tuple< std::decay_t< Targs >... >
using | RetTypes = std::tuple< std::decay_t< Tretargs >... >
using | CbArgs = std::tuple< std::decay_t< Tretargs >..., std::decay_t< Targs >... >
using | CbProcType = void(*)(Commands, const CommandCost &, Tretargs...)

## Detailed Description

template<template< typename... > typename Tret, typename... Tretargs, typename... Targs>
struct CommandFunctionTraitHelper< Tret< CommandCost, Tretargs... >(*)(DoCommandFlag, Targs...)>

Definition at line 445 of file command_type.h.

## Member Typedef Documentation

## ◆ Args

template<template< typename... > typename Tret, typename... Tretargs, typename... Targs>

using CommandFunctionTraitHelper< Tret< CommandCost, Tretargs... >(*)(DoCommandFlag, Targs...)>::Args = std::tuple<std::decay_t<Targs>...>

Definition at line 446 of file command_type.h.

## ◆ CbArgs

template<template< typename... > typename Tret, typename... Tretargs, typename... Targs>

using CommandFunctionTraitHelper< Tret< CommandCost, Tretargs... >(*)(DoCommandFlag, Targs...)>::CbArgs = std::tuple<std::decay_t<Tretargs>..., std::decay_t<Targs>...>

Definition at line 448 of file command_type.h.

## ◆ CbProcType

template<template< typename... > typename Tret, typename... Tretargs, typename... Targs>

using CommandFunctionTraitHelper< Tret< CommandCost, Tretargs... >(*)(DoCommandFlag, Targs...)>::CbProcType = void(*)(Commands, const CommandCost &, Tretargs...)

Definition at line 449 of file command_type.h.

## ◆ RetTypes

template<template< typename... > typename Tret, typename... Tretargs, typename... Targs>

using CommandFunctionTraitHelper< Tret< CommandCost, Tretargs... >(*)(DoCommandFlag, Targs...)>::RetTypes = std::tuple<std::decay_t<Tretargs>...>

Definition at line 447 of file command_type.h.

The documentation for this struct was generated from the following file:

- src/command_type.h